StoreInstruction (Apache Commons BCEL 6.6.1 API)

org.apache.bcel.generic

## Class StoreInstruction

- java.lang.Object
- - org.apache.bcel.generic.Instruction
  - - org.apache.bcel.generic.LocalVariableInstruction
    - - org.apache.bcel.generic.StoreInstruction

- All Implemented Interfaces:
    Cloneable, IndexedInstruction, PopInstruction, StackConsumer, TypedInstruction
  Direct Known Subclasses:
    ASTORE, DSTORE, FSTORE, ISTORE, LSTORE

      public abstract class StoreInstruction
      extends LocalVariableInstruction
      implements PopInstruction

  Denotes an unparameterized instruction to store a value into a local variable, e.g. ISTORE.

- - ### Field Summary

    - ### Fields inherited from class org.apache.bcel.generic.LocalVariableInstruction

      `n`

    - ### Fields inherited from class org.apache.bcel.generic.Instruction

      `length, opcode`

  - ### Constructor Summary

    Constructors
    Modifier | Constructor and Description
    --- | ---
    `protected` | `StoreInstruction(short opcode, short cTag, int n)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `accept(Visitor v)` Call corresponding visitor method(s).

    - ### Methods inherited from class org.apache.bcel.generic.LocalVariableInstruction

      `dump, getCanonicalTag, getIndex, getType, initFromFile, setIndex, toString`

    - ### Methods inherited from class org.apache.bcel.generic.Instruction

      `consumeStack, copy, equals, getComparator, getLength, getName, getOpcode, hashCode, isValidByte, isValidShort, produceStack, readInstruction, setComparator, toString, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

    - ### Methods inherited from interface org.apache.bcel.generic.StackConsumer

      `consumeStack`

- - ### Constructor Detail

    - #### StoreInstruction

          protected StoreInstruction(short opcode,
                                     short cTag,
                                     int n)

      Parameters:
        `opcode` - Instruction opcode
        `cTag` - Instruction number for compact version, ASTORE_0, e.g.
        `n` - local variable index (unsigned short)

  - ### Method Detail

    - #### accept

          public void accept(Visitor v)

      Call corresponding visitor method(s). The order is: Call visitor methods of implemented interfaces first, then call methods according to the class hierarchy in descending order, i.e., the most specific visitXXX() call comes last.
      Specified by:
        `accept` in class `Instruction`
      Parameters:
        `v` - Visitor object

Copyright © 2004–2022 The Apache Software Foundation. All rights reserved.